Skip to content

Instantly share code, notes, and snippets.

/gist:5643880

Created May 24, 2013
Embed
What would you like to do?
lsd@leonardcohen:~$ ssh root@sme8dev
root@sme8dev's password:
Last login: Thu May 23 07:16:52 2013 from pc-00025.mycompany.local
[root@sme8dev ~]# db yum_repositories set sogo repository \
> BaseURL http://inverse.ca/downloads/SOGo/RHEL5/i386 \
> EnableGroups yes \
> GPGCheck no \
> Name "Inverse SOGo Repository" \
> Visible yes \
> status disabled
[root@sme8dev ~]#
[root@sme8dev ~]# db yum_repositories set nethsme repository \
> BaseURL http://smeserver.nethesis.it/releases/8/i386 \
> EnableGroups yes \
> GPGCheck yes \
> Name "Nethesis SME Repository" \
> Visible yes \
> status disabled
[root@sme8dev ~]#
[root@sme8dev ~]# signal-event yum-modify
[root@sme8dev ~]# wget http://smeserver.nethesis.it/releases/RPM-GPG-KEY-nethesis
--2013-05-24 16:10:12-- http://smeserver.nethesis.it/releases/RPM-GPG-KEY-nethesis
R�solution de smeserver.nethesis.it... 95.138.186.87
Connexion vers smeserver.nethesis.it|95.138.186.87|:80...connect�.
requ�te HTTP transmise, en attente de la r�ponse...200 OK
Longueur: 1340 (1,3K) [application/octet-stream]
Saving to: `RPM-GPG-KEY-nethesis'
100%[======================================>] 1 340 --.-K/s in 0s
2013-05-24 16:10:13 (126 MB/s) - � RPM-GPG-KEY-nethesis � sauvegard� [1340/1340]
[root@sme8dev ~]# rpm --import RPM-GPG-KEY-nethesis
[root@sme8dev ~]# yum install smeserver-sogo --enablerepo=nethsme --enablerepo=sogo
Loaded plugins: fastestmirror, protect-packages, smeserver
Loading mirror speeds from cached hostfile
* base: mirrors.ircam.fr
* smeaddons: mirror.pialasse.com
* smeextras: mirror.pialasse.com
* smeos: mirror.pialasse.com
* smeupdates: mirror.pialasse.com
* updates: fr2.rpmfind.net
nethsme | 951 B 00:00
nethsme/primary | 12 kB 00:00
nethsme 21/21
sogo | 951 B 00:00
sogo/primary | 102 kB 00:00
sogo 457/457
Excluding Packages from CentOS - os
Finished
Excluding Packages from CentOS - updates
Finished
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package smeserver-sogo.noarch 0:0.6-1.el5.nh set to be updated
--> Processing Dependency: sogo >= 1.3.4 for package: smeserver-sogo
--> Processing Dependency: sogo-tool for package: smeserver-sogo
--> Processing Dependency: sope49-gdl1-mysql for package: smeserver-sogo
--> Running transaction check
---> Package sogo.i386 0:2.0.5a-1.el5 set to be updated
--> Processing Dependency: sope49-cards >= 2.0.5a for package: sogo
--> Processing Dependency: gnustep-base >= 1.23 for package: sogo
--> Processing Dependency: sope49-gdl1-contentstore >= 2.0.5a for package: sogo
--> Processing Dependency: sope49-sbjson for package: sogo
--> Processing Dependency: memcached for package: sogo
--> Processing Dependency: sope49-core for package: sogo
--> Processing Dependency: libmemcached for package: sogo
--> Processing Dependency: sope49-ldap for package: sogo
--> Processing Dependency: sope49-appserver for package: sogo
---> Package sogo-tool.i386 0:2.0.5a-1.el5 set to be updated
---> Package sope49-gdl1-mysql.i386 0:4.9-20130416_1664.el5.1 set to be updated
--> Processing Dependency: sope49-gdl1 for package: sope49-gdl1-mysql
--> Running transaction check
---> Package gnustep-base.i386 0:1.23.0-1 set to be updated
--> Processing Dependency: gnustep-make >= 2.6.0 for package: gnustep-base
--> Processing Dependency: libobjc.so.1 for package: gnustep-base
--> Processing Dependency: libffi.so.5 for package: gnustep-base
---> Package libmemcached.i386 0:0.34-1 set to be updated
---> Package sogo.i386 0:2.0.5a-1.el5 set to be updated
--> Processing Dependency: memcached for package: sogo
---> Package sope49-appserver.i386 0:4.9-20130416_1664.el5.1 set to be updated
--> Processing Dependency: sope49-mime for package: sope49-appserver
--> Processing Dependency: sope49-xml for package: sope49-appserver
---> Package sope49-cards.i386 0:2.0.5a-1.el5 set to be updated
---> Package sope49-core.i386 0:4.9-20130416_1664.el5.1 set to be updated
---> Package sope49-gdl1.i386 0:4.9-20130416_1664.el5.1 set to be updated
---> Package sope49-gdl1-contentstore.i386 0:2.0.5a-1.el5 set to be updated
---> Package sope49-ldap.i386 0:4.9-20130416_1664.el5.1 set to be updated
---> Package sope49-sbjson.i386 0:2.3.1-20130416_1664.el5.1 set to be updated
--> Running transaction check
---> Package gnustep-make.i386 0:2.6.1-1 set to be updated
---> Package libffi.i386 0:3.0.10-1 set to be updated
---> Package libobjc.i386 0:4.1.2-54.el5 set to be updated
---> Package sogo.i386 0:2.0.5a-1.el5 set to be updated
--> Processing Dependency: memcached for package: sogo
---> Package sope49-mime.i386 0:4.9-20130416_1664.el5.1 set to be updated
---> Package sope49-xml.i386 0:4.9-20130416_1664.el5.1 set to be updated
--> Finished Dependency Resolution
sogo-2.0.5a-1.el5.i386 from sogo has depsolving problems
--> Missing Dependency: memcached is needed by package sogo-2.0.5a-1.el5.i386 (sogo)
Error: Missing Dependency: memcached is needed by package sogo-2.0.5a-1.el5.i386 (sogo)
You could try using --skip-broken to work around the problem
You could try running: package-cleanup --problems
package-cleanup --dupes
rpm -Va --nofiles --nodigest
The program package-cleanup is found in the yum-utils package.
[root@sme8dev ~]# yum --enablerepo=epel install memcached
Loaded plugins: fastestmirror, protect-packages, smeserver
Error getting repository data for epel, repository not found
[root@sme8dev ~]# /sbin/e-smith/db yum_repositories set epel repository \
> Name 'Epel - EL5' \
> BaseUrl 'http://download.fedoraproject.org/pub/epel/5/$basearch' \
> MirrorList 'http://mirrors.fedoraproject.org/mirrorlist?repo=epel-5&arch=$basearch' \
> EnableGroups no \
> GPGCheck yes \
> GPGKey http://dl.fedoraproject.org/pub/epel/RPM-GPG-KEY-EPEL \
> Visible no \
> status disabled
[root@sme8dev ~]# /sbin/e-smith/db yum_repositories set epel repository Name 'Epel - EL5' BaseUrl 'http://download.fedoraproject.org/pub/epel/5/$basearch' MirrorList 'http://mirrors.fedoraproject.org/mirrorlist?repo=epel-5&arch=$basearch' EnableGroups no GPGCheck yes GPGKey http://dl.fedoraproject.org/pub/epel/RPM-GPG-KEY-EPEL Visible no status disabled
[root@sme8dev ~]# signal-event yum-modify
[root@sme8dev ~]# yum --enablerepo=epel install memcachedLoaded plugins: fastestmirror, protect-packages, smeserver
Loading mirror speeds from cached hostfile
* base: mirrors.ircam.fr
* epel: fr2.rpmfind.net
* smeaddons: mirror.pialasse.com
* smeextras: mirror.pialasse.com
* smeos: mirror.pialasse.com
* smeupdates: mirror.pialasse.com
* updates: fr2.rpmfind.net
Existing lock /var/run/yum.pid: another copy is running as pid 7829.
Another app is currently holding the yum lock; waiting for it to exit...
The other application is: yum
Memory : 23 M RSS ( 62 MB VSZ)
Started: Fri May 24 16:11:16 2013 - 00:05 ago
State : Running, pid: 7829
Another app is currently holding the yum lock; waiting for it to exit...
The other application is: yum
Memory : 23 M RSS ( 62 MB VSZ)
Started: Fri May 24 16:11:16 2013 - 00:07 ago
State : Running, pid: 7829
epel | 3.6 kB 00:00
epel/primary_db | 3.1 MB 00:03
Excluding Packages from CentOS - os
Finished
Excluding Packages from CentOS - updates
Finished
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package memcached.i386 0:1.4.5-1.el5 set to be updated
--> Processing Dependency: libevent-1.4.so.2 for package: memcached
--> Processing Dependency: libevent for package: memcached
--> Running transaction check
---> Package libevent.i386 0:1.4.13-1 set to be updated
--> Finished Dependency Resolution
Dependencies Resolved
================================================================================
Package Arch Version Repository Size
================================================================================
Installing:
memcached i386 1.4.5-1.el5 epel 71 k
Installing for dependencies:
libevent i386 1.4.13-1 base 112 k
Transaction Summary
================================================================================
Install 2 Package(s)
Upgrade 0 Package(s)
Total download size: 183 k
Is this ok [y/N]: y
Downloading Packages:
(1/2): memcached-1.4.5-1.el5.i386.rpm | 71 kB 00:00
(2/2): libevent-1.4.13-1.i386.rpm | 112 kB 00:00
--------------------------------------------------------------------------------
Total 240 kB/s | 183 kB 00:00
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
Installing : libevent 1/2
Installing : memcached 2/2
Installed:
memcached.i386 0:1.4.5-1.el5
Dependency Installed:
libevent.i386 0:1.4.13-1
Complete!
[root@sme8dev ~]# yum install smeserver-sogo --enablerepo=nethsme --enablerepo=sogo
Loaded plugins: fastestmirror, protect-packages, smeserver
Loading mirror speeds from cached hostfile
* base: mirrors.ircam.fr
* smeaddons: mirror.pialasse.com
* smeextras: mirror.pialasse.com
* smeos: mirror.pialasse.com
* smeupdates: mirror.pialasse.com
* updates: centos.mirror.fr.planethoster.net
nethsme | 951 B 00:00
sogo | 951 B 00:00
Excluding Packages from CentOS - os
Finished
Excluding Packages from CentOS - updates
Finished
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package smeserver-sogo.noarch 0:0.6-1.el5.nh set to be updated
--> Processing Dependency: sogo >= 1.3.4 for package: smeserver-sogo
--> Processing Dependency: sogo-tool for package: smeserver-sogo
--> Processing Dependency: sope49-gdl1-mysql for package: smeserver-sogo
--> Running transaction check
---> Package sogo.i386 0:2.0.5a-1.el5 set to be updated
--> Processing Dependency: sope49-cards >= 2.0.5a for package: sogo
--> Processing Dependency: gnustep-base >= 1.23 for package: sogo
--> Processing Dependency: sope49-gdl1-contentstore >= 2.0.5a for package: sogo
--> Processing Dependency: sope49-sbjson for package: sogo
--> Processing Dependency: sope49-core for package: sogo
--> Processing Dependency: libmemcached for package: sogo
--> Processing Dependency: sope49-ldap for package: sogo
--> Processing Dependency: sope49-appserver for package: sogo
---> Package sogo-tool.i386 0:2.0.5a-1.el5 set to be updated
---> Package sope49-gdl1-mysql.i386 0:4.9-20130416_1664.el5.1 set to be updated
--> Processing Dependency: sope49-gdl1 for package: sope49-gdl1-mysql
--> Running transaction check
---> Package gnustep-base.i386 0:1.23.0-1 set to be updated
--> Processing Dependency: gnustep-make >= 2.6.0 for package: gnustep-base
--> Processing Dependency: libobjc.so.1 for package: gnustep-base
--> Processing Dependency: libffi.so.5 for package: gnustep-base
---> Package libmemcached.i386 0:0.34-1 set to be updated
---> Package sope49-appserver.i386 0:4.9-20130416_1664.el5.1 set to be updated
--> Processing Dependency: sope49-mime for package: sope49-appserver
--> Processing Dependency: sope49-xml for package: sope49-appserver
---> Package sope49-cards.i386 0:2.0.5a-1.el5 set to be updated
---> Package sope49-core.i386 0:4.9-20130416_1664.el5.1 set to be updated
---> Package sope49-gdl1.i386 0:4.9-20130416_1664.el5.1 set to be updated
---> Package sope49-gdl1-contentstore.i386 0:2.0.5a-1.el5 set to be updated
---> Package sope49-ldap.i386 0:4.9-20130416_1664.el5.1 set to be updated
---> Package sope49-sbjson.i386 0:2.3.1-20130416_1664.el5.1 set to be updated
--> Running transaction check
---> Package gnustep-make.i386 0:2.6.1-1 set to be updated
---> Package libffi.i386 0:3.0.10-1 set to be updated
---> Package libobjc.i386 0:4.1.2-54.el5 set to be updated
---> Package sope49-mime.i386 0:4.9-20130416_1664.el5.1 set to be updated
---> Package sope49-xml.i386 0:4.9-20130416_1664.el5.1 set to be updated
--> Finished Dependency Resolution
Dependencies Resolved
================================================================================
Package Arch Version Repository
Size
================================================================================
Installing:
smeserver-sogo noarch 0.6-1.el5.nh nethsme 29 k
Installing for dependencies:
gnustep-base i386 1.23.0-1 sogo 1.7 M
gnustep-make i386 2.6.1-1 sogo 202 k
libffi i386 3.0.10-1 sogo 15 k
libmemcached i386 0.34-1 sogo 113 k
libobjc i386 4.1.2-54.el5 base 106 k
sogo i386 2.0.5a-1.el5 sogo 3.1 M
sogo-tool i386 2.0.5a-1.el5 sogo 39 k
sope49-appserver i386 4.9-20130416_1664.el5.1 sogo 889 k
sope49-cards i386 2.0.5a-1.el5 sogo 159 k
sope49-core i386 4.9-20130416_1664.el5.1 sogo 328 k
sope49-gdl1 i386 4.9-20130416_1664.el5.1 sogo 158 k
sope49-gdl1-contentstore i386 2.0.5a-1.el5 sogo 56 k
sope49-gdl1-mysql i386 4.9-20130416_1664.el5.1 sogo 32 k
sope49-ldap i386 4.9-20130416_1664.el5.1 sogo 47 k
sope49-mime i386 4.9-20130416_1664.el5.1 sogo 275 k
sope49-sbjson i386 2.3.1-20130416_1664.el5.1 sogo 16 k
sope49-xml i386 4.9-20130416_1664.el5.1 sogo 210 k
Transaction Summary
================================================================================
Install 18 Package(s)
Upgrade 0 Package(s)
Total download size: 7.4 M
Is this ok [y/N]: y
Downloading Packages:
(1/18): libffi-3.0.10-1.i386.rpm | 15 kB 00:00
(2/18): sope49-sbjson-2.3.1-20130416_1664.el5.1.i386.rpm | 16 kB 00:00
(3/18): smeserver-sogo-0.6-1.el5.nh.noarch.rpm | 29 kB 00:00
(4/18): sope49-gdl1-mysql-4.9-20130416_1664.el5.1.i386.r | 32 kB 00:00
(5/18): sogo-tool-2.0.5a-1.el5.i386.rpm | 39 kB 00:00
(6/18): sope49-ldap-4.9-20130416_1664.el5.1.i386.rpm | 47 kB 00:00
(7/18): sope49-gdl1-contentstore-2.0.5a-1.el5.i386.rpm | 56 kB 00:00
(8/18): libobjc-4.1.2-54.el5.i386.rpm | 106 kB 00:00
(9/18): libmemcached-0.34-1.i386.rpm | 113 kB 00:00
(10/18): sope49-gdl1-4.9-20130416_1664.el5.1.i386.rpm | 158 kB 00:00
(11/18): sope49-cards-2.0.5a-1.el5.i386.rpm | 159 kB 00:00
(12/18): gnustep-make-2.6.1-1.i386.rpm | 202 kB 00:00
(13/18): sope49-xml-4.9-20130416_1664.el5.1.i386.rpm | 210 kB 00:00
(14/18): sope49-mime-4.9-20130416_1664.el5.1.i386.rpm | 275 kB 00:00
(15/18): sope49-core-4.9-20130416_1664.el5.1.i386.rpm | 328 kB 00:01
(16/18): sope49-appserver-4.9-20130416_1664.el5.1.i386.r | 889 kB 00:02
(17/18): gnustep-base-1.23.0-1.i386.rpm | 1.7 MB 00:05
(18/18): sogo-2.0.5a-1.el5.i386.rpm | 3.1 MB 00:07
--------------------------------------------------------------------------------
Total 311 kB/s | 7.4 MB 00:24
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
Installing : libffi 1/18
Installing : libobjc 2/18
Installing : libmemcached 3/18
Installing : sope49-sbjson 4/18
Installing : sope49-xml 5/18
Installing : sope49-core 6/18
Installing : sope49-gdl1 7/18
Installing : sope49-gdl1-contentstore 8/18
Installing : sope49-gdl1-mysql 9/18
Installing : sope49-mime 10/18
Installing : sope49-appserver 11/18
Installing : sope49-ldap 12/18
Installing : sogo-tool 13/18
Installing : sope49-cards 14/18
Installing : gnustep-make 15/18
Installing : gnustep-base 16/18
Installing : sogo 17/18
Installing : smeserver-sogo 18/18
Loading sogo_mysql_create_database into mysql [ OK ]
Loading sogo_mysql_update_privileges into mysql [ OK ]
Loading sogo_upgrade into mysql [ OK ]
Migrating existing database yum_available
Migrating existing database yum_installed
Migrating existing database yum_repositories
Migrating existing database accounts
Migrating existing database yum_updates
Migrating existing database hosts
Migrating existing database spamassassin
Migrating existing database configuration
Migrating existing database mailpatterns
Migrating existing database backups
Migrating existing database networks
Migrating existing database domains
Installed:
smeserver-sogo.noarch 0:0.6-1.el5.nh
Dependency Installed:
gnustep-base.i386 0:1.23.0-1
gnustep-make.i386 0:2.6.1-1
libffi.i386 0:3.0.10-1
libmemcached.i386 0:0.34-1
libobjc.i386 0:4.1.2-54.el5
sogo.i386 0:2.0.5a-1.el5
sogo-tool.i386 0:2.0.5a-1.el5
sope49-appserver.i386 0:4.9-20130416_1664.el5.1
sope49-cards.i386 0:2.0.5a-1.el5
sope49-core.i386 0:4.9-20130416_1664.el5.1
sope49-gdl1.i386 0:4.9-20130416_1664.el5.1
sope49-gdl1-contentstore.i386 0:2.0.5a-1.el5
sope49-gdl1-mysql.i386 0:4.9-20130416_1664.el5.1
sope49-ldap.i386 0:4.9-20130416_1664.el5.1
sope49-mime.i386 0:4.9-20130416_1664.el5.1
sope49-sbjson.i386 0:2.3.1-20130416_1664.el5.1
sope49-xml.i386 0:4.9-20130416_1664.el5.1
Complete!
==============================================================
WARNING: You now need to run BOTH of the following commands
to ensure consistent system state:
signal-event post-upgrade; signal-event reboot
You should run these commands unless you are certain that
yum made no changes to your system.
==============================================================
[root@sme8dev ~]# signal-event post-upgrade; signal-event reboot
Broadcast message from root (pts/0) (Fri May 24 16:14:29 2013):
The system is going down for reboot NOW!
[root@sme8dev ~]#
[root@sme8dev ~]# Write failed: Broken pipe
lsd@leonardcohen:~$ ssh root@sme8dev
root@sme8dev's password:
Last login: Fri May 24 16:09:37 2013 from pc-00025.mycompany.local
[root@sme8dev ~]# nano /etc/passwd
[root@sme8dev ~]# signal-event sogo-modify; /etc/rc7.d/S85sogod restart
Restarting SOGo:
sogo [ OK ]
[root@sme8dev ~]#
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.